import com.sonyericsson.cs.ma3.common.security.b;
import java.io.*;

public class SeusEncrypt {
  public static void main(String args[])
  {
    if (args.length < 1) {
      System.out.println("SeusEncrypt <FILE_xxxxxxxx.tgz> ...");
      return;
    }

    byte[] buf = new byte[1024];
    for(int i = 0; i < args.length; i++) {
      try {
        FileInputStream in = new FileInputStream(args[i]);

        String outname = args[i].endsWith(".tgz") ?
          args[i].substring(0, args[i].length() - 3) :
          (args[i] + ".out");

        OutputStream f = new FileOutputStream(outname);
        b out = new b(f);

        int len;
        while((len = in.read(buf)) >= 0) {
          if (len > 0)
            out.write(buf, 0, len);
        }
        out.flush();
        out.close();

        in.close();

        System.out.println(args[i] + " -> " + outname);
      } catch(IOException e) {
        e.printStackTrace();
      }
    }
  }
};
